SORTBYQUOTE(1)

NAME
sortbyquote - sort C/C++ code by quoted regions

SYNOPSIS
sortbyquote [-] [-i filename] [-o filename] [-r]

DESCRIPTION
sortbyquote is a simple utility to sort a C or C++ code snippet so that the lines (typically elements of a static array for use in binary search) end up in case-insensitive order of the string literals they contain.

OPTIONS
A summary of options is included below.

-   Print usage message

-i filename
    Input File Name (default = stdin)

-o filename
    Output File Name (default = stdout)

-r  Reverse order

BUGS
Escape sequences are not supported.

AUTHOR
The National Center for Biotechnology Information.